Bug 488274 - [1880708]Use 'ast' instead of 'vesa' as default X Window driver
[1880708]Use 'ast' instead of 'vesa' as default X Window driver
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-ast (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
: Triaged
Depends On:
Blocks: 499522 531112 567666
  Show dependency treegraph
 
Reported: 2009-03-03 11:16 EST by Alan Matsuoka
Modified: 2010-12-01 21:40 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 567666 (view as bug list)
Environment:
Last Closed: 2010-03-30 04:08:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sosreport (1.90 MB, application/x-bzip2)
2009-03-03 11:16 EST, Alan Matsuoka
no flags Details
20-log.tar (590.00 KB, application/x-tar)
2009-03-03 11:17 EST, Alan Matsuoka
no flags Details

  None (edit)
Description Alan Matsuoka 2009-03-03 11:16:38 EST
Created attachment 333885 [details]
sosreport

Description of problem:

Customer is the hardware vendor, reporting problem with detection of his VGA chipset in RHEL5. The VGA chipset is detected as below with pci id 1a03:2000.
05:00.0 VGA compatible controller: ASPEED Technology, Inc. AST2000 (rev 10)

After fresh installation of RHEL5 system, VESA driver is selected for VGA card.
Using system-config-display to select proper driver after installation works fine.
Where as RHEL4.7 gets installed properly with AST as default driver.
Also Fedora-10 system detects the hardware correctly during installation.

Customer wants RHEL5 to detect the hardware correctly and use AST as default driver for his card instead of VESA

Customer also wishes to upgrade the driver version of AST shipped in RHEL5. The driver version of build-in "ast" driver is v.0.81, it's released about two years ago and they had found some issues during this period. They hope it can be upgraded to the latest one on XORG

http://www.aspeedtech.com/support.html


Version-Release number of selected component (if applicable):
RHEL 5.3

How reproducible:

always

Steps to Reproduce:
1. start X11
2.
3.
  
Actual results:

driver does not detect VGA card
Expected results:

driver should detect this card 

Additional info:
Comment 1 Alan Matsuoka 2009-03-03 11:17:54 EST
Created attachment 333886 [details]
20-log.tar
Comment 2 RHEL Product and Program Management 2009-03-26 12:59:37 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 3 Alan Matsuoka 2009-03-26 13:30:37 EDT
Moving to 5.5
Comment 9 Adam Jackson 2009-11-23 11:46:02 EST
Build xorg-x11-drv-ast-0.89.9-1.el5

MODIFIED
Comment 11 Chris Ward 2010-02-11 05:25:38 EST
~~ Attention Customers and Partners - RHEL 5.5 Beta is now available on RHN ~~

RHEL 5.5 Beta has been released! There should be a fix present in this 
release that addresses your request. Please test and report back results 
here, by March 3rd 2010 (2010-03-03) or sooner.

Upon successful verification of this request, post your results and update 
the Verified field in Bugzilla with the appropriate value.

If you encounter any issues while testing, please describe them and set 
this bug into NEED_INFO. If you encounter new defects or have additional 
patch(es) to request for inclusion, please clone this bug per each request
and escalate through your support representative.
Comment 12 Y.C. Chen 2010-02-12 02:41:26 EST
Hi,
1. The driver had been updated to 0.89.9. 
2. The default driver is still 'vesa' not 'ast' as we expected.

Regards,

Y.C. Chen
Comment 13 Y.C. Chen 2010-02-15 08:38:59 EST
Hi sir,
Did anyone have any update about the default driver issue?

Regards,

Y.C. Chen
Comment 14 Y.C. Chen 2010-02-21 22:49:01 EST
Hi Chris,
Our customers have wait this issue for almost one year and this issue still didn't be fixed completely. This issue is very important to us, could you help us to fix it in 5.5?

Regards,

Y.C. Chen
Comment 21 errata-xmlrpc 2010-03-30 04:08:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2010-0202.html

Note You need to log in before you can comment on or make changes to this bug.